Subject: [PATCH 0/3] Rename commit list functions to conform to coding guidelines

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 15 Jan 2026 10:35:31 +0100

Hi,

I've been working with commit lists quite often recently, and every
single time I get bitten by the fact that a subset of its functions do
not conform to our coding guidelines. While most of the functions start
with `commit_list_*()`, three functions don't. This patch series fixes
this issue and renames the remaining three functions so that all of them
start with `commit_list_*()`.

Note that I'm adding compatibility wrappers for the old prototypes to
ease the transition and not make life hard for any in-flight patch
series. I've also dropped all changes that lead to conflicts with
"seen".

This series is built on top of 8745eae506 (The 17th batch, 2026-01-11).

Thanks!

Patrick

---
Patrick Steinhardt (3):
      commit: rename `copy_commit_list()` to conform to coding guidelines
      commit: rename `reverse_commit_list()` to conform to coding guidelines
      commit: rename `free_commit_list()` to conform to coding guidelines

 bisect.c                      | 12 ++++++------
 blame.c                       |  2 +-
 builtin/am.c                  |  2 +-
 builtin/commit-tree.c         |  2 +-
 builtin/commit.c              |  4 ++--
 builtin/describe.c            |  2 +-
 builtin/diff-tree.c           |  2 +-
 builtin/gc.c                  |  2 +-
 builtin/log.c                 | 12 ++++++------
 builtin/merge-base.c          | 14 +++++++-------
 builtin/merge-tree.c          |  4 ++--
 builtin/merge.c               | 16 ++++++++--------
 builtin/pull.c                |  8 ++++----
 builtin/rebase.c              |  4 ++--
 builtin/rev-list.c            |  2 +-
 builtin/show-branch.c         |  2 +-
 builtin/stash.c               | 12 ++++++------
 commit-graph.c                |  2 +-
 commit-reach.c                | 30 +++++++++++++++---------------
 commit.c                      | 16 ++++++++--------
 commit.h                      | 25 ++++++++++++++++++++++---
 contrib/coccinelle/free.cocci |  8 ++++----
 diff-lib.c                    |  2 +-
 fmt-merge-msg.c               |  2 +-
 line-log.c                    |  2 +-
 log-tree.c                    |  2 +-
 merge-ort-wrappers.c          |  2 +-
 merge-ort.c                   |  6 +++---
 notes-merge.c                 |  4 ++--
 notes-utils.c                 |  2 +-
 object-name.c                 |  8 ++++----
 pack-bitmap-write.c           |  6 +++---
 ref-filter.c                  |  8 ++++----
 reflog.c                      |  4 ++--
 remote.c                      |  2 +-
 revision.c                    | 36 ++++++++++++++++++------------------
 sequencer.c                   | 20 ++++++++++----------
 shallow.c                     |  4 ++--
 submodule.c                   |  4 ++--
 t/helper/test-reach.c         | 10 +++++-----
 40 files changed, 163 insertions(+), 144 deletions(-)

---
base-commit: 8745eae506f700657882b9e32b2aa00f234a6fb6
change-id: 20260107-pks-commit-list-coding-guidelines-51d03de0d39d